Subject: Re: [PATCH 0/6] unused function parameter potpourri

From: Derrick Stolee <[email-masked]>
Date: Fri, 19 Aug 2022 15:08:03 -0400

On 8/19/2022 4:48 AM, Jeff King wrote:
> Here are a few small cleanups of unused function parameters. The first
> five just drop the unused parameters. These are all trivially correct,
> since otherwise the compiler would complain. But I tried to make sure
> that dropping was the right thing in each (rather than it being a bug
> where the parameter should have been used).
> 
> The final one just uses the parameters for an assertion, following a
> pattern we've used before.
> 
> I'll try to cc the individual authors for each patch.
> 
>   [1/6]: xdiff: drop unused mmfile parameters from xdl_do_histogram_diff()
>   [2/6]: log-tree: drop unused commit param in remerge_diff()
>   [3/6]: match_pathname(): drop unused "flags" parameter
>   [4/6]: verify_one_sparse(): drop unused repository parameter
>   [5/6]: reftable: drop unused parameter from reader_seek_linear()
>   [6/6]: reflog: assert PARSE_OPT_NONEG in parse-options callbacks

Thanks for doing this cleanup. It all looks correct to me.

Patch 5 mentioned some choice as to modifying the parameter list
versus using the UNUSED() macro. I think renaming the method can
solve the uncertainty there, but it's also not necessary for the
change to be correct.

Thanks,
-Stolee